Net::NBName::NodeStatus(3pm)

NAME
Net::NBName::NodeStatus - NetBIOS Node Status Response

DESCRIPTION
Net::NBName::NodeStatus represents a decoded NetBIOS node status response.

METHODS

$ns->names
    Returns a list of NetBIOS names registered on the responding host. These are returned as a list of "Net::NBName::NodeStatus::RR" objects.

$ns->mac_address
    Returns the MAC address of the responding host. Not all systems will respond with the correct MAC address, although all Windows-based systems did during testing.

$ns->as_string
    Returns the object's string representation.

SEE ALSO
Net::NBName

COPYRIGHT
Copyright (c) 2002, 2003, 2004 James Macfarlane. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.